<?php
/**
 * Add required and recommended plugins.
 *
 * @package Greentech Lite
 */

add_action( 'tgmpa_register', 'greentech_lite_register_required_plugins' );
add_filter( 'ocdi/register_plugins', 'greentech_lite_register_ocdi_plugins' );

function greentech_lite_register_required_plugins() {
	tgmpa( greentech_lite_required_plugins(), [
		'id'          => 'greentech-lite',
		'has_notices' => true,
	] );
}

function greentech_lite_register_ocdi_plugins( $plugins ) {
	return array_merge( $plugins, greentech_lite_required_plugins() );
}

/**
 * List of required plugins
 */
function greentech_lite_required_plugins() {
	return [
		[
			'name' =>  'Jetpack',
			'slug' => 'jetpack',
		],
		[
			'name' =>  'Slim SEO',
			'slug' => 'slim-seo',
		],
		[
			'name' =>  'Falcon',
			'slug' => 'falcon',
		],
		[
			'name' =>  'One Click Demo Import',
			'slug' => 'one-click-demo-import',
		],
	];
}
